Bug 871209

Summary: Missing dependency on php-mbstring
Product: [Fedora] Fedora EPEL Reporter: Rick Elrod <relrod>
Component: php-KohanaAssignee: Gwyn Ciesla <gwync>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: el6CC: gwync, relrod
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-11-14 18:27:26 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Rick Elrod 2012-10-29 22:41:50 UTC
Description of problem:

php-Kohana seems to be missing a dependency on php-mbstring.


Version-Release number of selected component (if applicable): php-Kohana-2.4-1.rc2.el6.noarch


# grep 'mb_internal_encoding' /usr/share/php/Kohana/system/core/Kohana.php 
		mb_internal_encoding(Kohana::CHARSET);


This was discovered by installing the gallery3 package (which deps on php-Kohana), and being unable to access the gallery3 instance. After enabling debugging, I saw that mb_* was missing and that the error was coming from a Kohana path (see the grep output above).

Comment 1 Fedora Update System 2012-10-30 17:30:36 UTC
php-Kohana-2.4-1.rc2.fc18.3 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/php-Kohana-2.4-1.rc2.fc18.3

Comment 2 Fedora Update System 2012-10-30 17:31:22 UTC
php-Kohana-2.4-1.rc2.fc17.3 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/php-Kohana-2.4-1.rc2.fc17.3

Comment 3 Fedora Update System 2012-10-30 17:32:11 UTC
php-Kohana-2.4-1.rc2.fc16.3 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/php-Kohana-2.4-1.rc2.fc16.3

Comment 4 Fedora Update System 2012-10-30 17:32:52 UTC
php-Kohana-2.4-1.rc2.el6.3 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-Kohana-2.4-1.rc2.el6.3

Comment 5 Fedora Update System 2012-10-30 20:12:31 UTC
Package php-Kohana-2.4-1.rc2.fc18.3:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing php-Kohana-2.4-1.rc2.fc18.3'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-17233/php-Kohana-2.4-1.rc2.fc18.3
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2012-11-14 18:27:27 UTC
php-Kohana-2.4-1.rc2.el6.3 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.